Subject: [sipcore] I-D Action: draft-ietf-sipcore-sessiontimer-race-01.txt

From: [email-masked]
Date: Mon, 05 Mar 2018 06:13:54 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Core WG of the IETF.

        Title           : Session Initiation Protocol (SIP) Session Timer Glare Handling
        Author          : Christer Holmberg
	Filename        : draft-ietf-sipcore-sessiontimer-race-01.txt
	Pages           : 7
	Date            : 2018-03-05

Abstract:
   This document updates RFC 4028, by clarifying the procedures for
   negotiating usage of the Session Initiation Protocol (SIP) session
   timer mechansim, in order to avoid a race condition where both
   endpoints trigger simultaneous negotiations.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-sipcore-sessiontimer-race/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-sipcore-sessiontimer-race-01
https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-sessiontimer-race-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-sessiontimer-race-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 5 Mar 2018 11:11:24 -0500

Christer,

So far I have only skimmed the draft. (I *will* read it more carefully 
later.) A couple of comments:

1) Examples of the cases you are trying to clarify would be helpful.

2) in 3.1, am I right in concluding this is to cover the situation
    introduced by section 3.2?  But doesn't this also eliminate the
    mechanism for overtly turning off session timer by sending an
    invite without session-expires?

	Thanks,
	Paul

On 3/5/18 9:13 AM, [email-masked] wrote:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 5 Mar 2018 16:41:41 +0000

Hi,

I forgot to mention that the new version is only because the previous one was about to expire, so apart from the year there should be no changes. Sorry for that.

I will provide some suggestions regarding how to move forward soon.

Regards,

Christer

Sent from my iPhone

On 5 Mar 2018, at 18.12, Paul Kyzivat <[email-masked]<mailto:[email-masked]>> wrote:

Christer,

So far I have only skimmed the draft. (I *will* read it more carefully later.) A couple of comments:

   Thanks,
   Paul

On 3/5/18 9:13 AM, [email-masked]<mailto:[email-masked]> wrote:
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
[email-masked]<mailto:[email-masked]>

_______________________________________________
sipcore mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sipcore

---

From: Brian Rosen <[email-masked]>
Date: Mon, 12 Mar 2018 11:39:57 -0400

Chairs want this draft finished.

We have an hour, and if we can finish it, let’s do it.  If it is finished, let’s get it on the approval path.

I need to publish the agenda today.

Brian

> On Mar 5, 2018, at 11:41 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Hi,
> 
> On 5 Mar 2018, at 18.12, Paul Kyzivat <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> Christer,
>> 
>> On 3/5/18 9:13 AM, [email-masked] <mailto:[email-masked]> wrote:
>>> https://datatracker.ietf.org/doc/draft-ietf-sipcore-sessiontimer-race/ <https://datatracker.ietf.org/doc/draft-ietf-sipcore-sessiontimer-race/>
>>> https://tools.ietf.org/html/draft-ietf-sipcore-sessiontimer-race-01 <https://tools.ietf.org/html/draft-ietf-sipcore-sessiontimer-race-01>
>>> https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-sessiontimer-race-01 <https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-sessiontimer-race-01>
>>> https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-sessiontimer-race-01 <https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-sessiontimer-race-01>
>>> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
>>> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/sipcore <https://www.ietf.org/mailman/listinfo/sipcore>
>> 
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/sipcore <https://www.ietf.org/mailman/listinfo/sipcore>

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 12 Mar 2018 15:48:20 +0000

Hi,

Since there are currently no open issues, I don’t think we need to discuss it in London.

My suggestion would be to move it forward. Then, if Martin (or someone else) finds some major issue we’ll deal with those (and, if needed, we can always bring it back to the WG).

Regards,

Christer

From: Brian Rosen [mailto:[email-masked]]
Sent: 12 March 2018 17:40
To: Christer Holmberg <[email-masked]>
Cc: Paul Kyzivat <[email-masked]>; [email-masked]
Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-sessiontimer-race-01.txt

Brian

On Mar 5, 2018, at 11:41 AM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Regards,

Christer
Sent from my iPhone

   Thanks,
   Paul

until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

---

From: Yehoshua Gev <[email-masked]>
Date: Thu, 15 Mar 2018 15:19:20 +0200

Hi,

Two minor typos I noticed:
3. Section 3.2 NEW TEXT: "ongoing INVIET transaction" should be "ongoing
INVITE transaction".
2. Section 3.4 NEW TEXT: "there is on ongoing negotiation" should be "there
is an ongoing negotiation".

Yehoshua

On Mon, Mar 12, 2018 at 5:48 PM, Christer Holmberg <
[email-masked]> wrote:

> My suggestion would be to move it forward. Then, if Martin (or someone
> else) finds some major issue we’ll deal with those (and, if needed, we can
> always bring it back to the WG).
>
>
>
> Regards,
>
>
>
> Christer
>
>
>
>
>
>
>
> *From:* Brian Rosen [mailto:[email-masked]]
> *Sent:* 12 March 2018 17:40
> *To:* Christer Holmberg <[email-masked]>
> *Cc:* Paul Kyzivat <[email-masked]>; [email-masked]
> *Subject:* Re: [sipcore] I-D Action: draft-ietf-sipcore-
> sessiontimer-race-01.txt
>
>
>
> I forgot to mention that the new version is only because the previous one
> was about to expire, so apart from the year there should be no changes.
> Sorry for that.
>
>
>
> On 5 Mar 2018, at 18.12, Paul Kyzivat <[email-masked]> wrote:
>
> Christer,
>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 15 Mar 2018 13:28:48 +0000

Hi Paul,

> 1) Examples of the cases you are trying to clarify would be helpful.

I will include that in the presentation, and in the next version of the draft.

Meanwhile, please take a look at the original e-mail I sent to the list:

https://www.ietf.org/mail-archive/web/sipcore/current/msg08096.html

---

>    invite without session-expires?

I don't think so. Can you explain how you come to that conclusion?

Regards,

Christer

On 3/5/18 9:13 AM, [email-masked] wrote:
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
>